> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# Update webhook endpoint

PATCH https://api.cash.app/management/v1/webhook-endpoints/{webhook_endpoint_id}
Content-Type: application/json

Updates the webhook endpoint matching the `webhook_endpoint_id` provided.

Scopes: `WEBHOOK_CONFIG_WRITE`

Reference: https://developers.cash.app/cash-app-pay-partner-api/api-reference/management-api/update-webhook-endpoint

## Servers

- `https://api.cash.app/management/v1` (Production, default)
- `https://sandbox.api.cash.app/management/v1` (Sandbox)

## Request

### Path parameters

- `webhook_endpoint_id` (string, required) — ID of the webhook endpoint.

### Body (application/json)

This endpoint expects an object.

- `webhook_endpoint` (WebhookEndpointsWebhookEndpointIdPatchRequestBodyContentApplicationJsonSchemaWebhookEndpoint, required)

## Response

### 200

OK

- `webhook_endpoint` (WebhookEndpoint, required) — The events will be sent to this webhook endpoint.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — A list of errors that occurred while processing the request. Min number of items: `1`

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — A list of errors that occurred while processing the request. Min number of items: `1`

## Types

### WebhookEndpointsWebhookEndpointIdPatchRequestBodyContentApplicationJsonSchemaWebhookEndpoint

- `url` (string, optional, nullable) — The events are delivered to this endpoint URL.
- `reference_id` (string, optional, nullable) — A user-defined identifier for this webhook endpoint, typically used to associate the webhook endpoint with a record in an external system.
- `api_key_id` (string, optional) — The API key ID which will be used to sign requests made to this webhook endpoint.
- `event_configurations` (list of EventConfiguration, optional) — The list of supported event types for this webhook endpoint. Events of a particular type will only be sent to endpoints that contain the type in this list.
- `delivery_timeout` (double, optional, default: 5000) — The duration, in milliseconds, that Cash App will take to deliver an event to this endpoint before timing out.
- `max_delivery_frequency` (double, optional, nullable) — The maximum number of events per second that will be delivered to this endpoint before rate limiting kicks in. The default for this field is unset (NULL) which means no rate limiting. However, if you enable rate limiting, the values can range from 1 to 100000.

### WebhookEndpoint

The events will be sent to this webhook endpoint.

- `id` (string, required) — The unique ID for a webhook endpoint issued by Cash App.
- `api_key_id` (string, required) — The API key ID which will be used to sign requests made to this webhook endpoint.
- `url` (string, required, nullable) — The events are delivered to this endpoint URL. If NULL, events will be not be delivered to an endpoint but will still be persisted and accessible via the List Webhook Events API.
- `event_configurations` (list of EventConfiguration, required) — The list of supported event types for this webhook endpoint. Events of a particular type will only be sent to endpoints that contain the type in this list.
- `created_at` (datetime, required) — The timestamp of when this webhook endpoint was created.
- `updated_at` (datetime, required) — The timestamp of when this endpoint was last updated.
- `delivery_timeout` (double, required, default: 5000) — The duration, in milliseconds, that Cash App will take to deliver an event to this endpoint before timing out.
- `status` (enum, required) — The approval status of a webhook endpoint. Once a webhook endpoint is approved, Cash App will deliver events to that webhook endpoint.
  - Allowed values: `APPROVED`, `ENDPOINT_URL_UNDER_REVIEW`
- `reference_id` (string, optional) — A user-defined identifier for this webhook endpoint, typically used to associate the webhook endpoint with a record in an external system.
- `max_delivery_frequency` (double, optional, nullable) — The maximum number of events per second that will be delivered to this endpoint before rate limiting kicks in. The default for this field is unset (NULL) which means no rate limiting. However, if you enable rate limiting, the values can range from 1 to 100000.

### Error

Represents an error encountered during a request to the API.

- `category` (enum, required) — The high-level reason the error occurred
  - Allowed values: `API_ERROR`, `AUTHENTICATION_ERROR`, `BRAND_ERROR`, `DISPUTE_ERROR`, `MERCHANT_ERROR`, `INVALID_REQUEST_ERROR`, `PAYMENT_PROCESSING_ERROR`, `RATE_LIMIT_ERROR`, `WEBHOOK_ERROR`, `API_KEY_ERROR`, `GRANT_ERROR`
- `code` (string, required) — A unique identifier for the specific type of error that occurred. See the Error Code Reference for more information. Min length: `1`
- `detail` (string, optional) — Human-readable description of why the error occurred and how to resolve it. Min length: `1`
- `field` (string, optional) — The field in the request that caused the error, using array and object dot notation. Min length: `1`

### EventConfiguration

Represents a supported event type and the API version that the event of this type should be serialized to.

- `event_type` (enum, required) — The type of event that will be sent to the webhook endpoint.
  - Allowed values: `customer.created`, `customer.deleted`, `customer.updated`, `customer_request.state.updated`, `dispute.created`, `dispute.state.updated`, `grant.created`, `grant.status.updated`, `merchant.status.updated`, `payment.status.updated`, `refund.status.updated`
- `api_version` (enum, required) — Represents the API version.
  - Allowed values: `v1`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "webhook_endpoint": {
    "id": "WC_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
    "api_key_id": "AK_7f3a1b2c4d5e6f7890abcdef1234567890abcdef1234567890abcdef12345678",
    "url": "https://webhooks.example.com/cashapp/events",
    "event_configurations": [
      {
        "event_type": "payment.status.updated",
        "api_version": "v1"
      }
    ],
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-03-22T14:45:00Z",
    "delivery_timeout": 5000,
    "status": "APPROVED",
    "reference_id": "merchant-account-78423",
    "max_delivery_frequency": 500
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id"

payload = {}
headers = {
    "Accept": "Accept",
    "User-Agent": "User-Agent",
    "X-Region": "X-Region",
    "X-Signature": "X-Signature",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id';
const options = {
  method: 'PATCH',
  headers: {
    Accept: 'Accept',
    'User-Agent': 'User-Agent',
    'X-Region': 'X-Region',
    'X-Signature': 'X-Signature',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Accept", "Accept")
	req.Header.Add("User-Agent", "User-Agent")
	req.Header.Add("X-Region", "X-Region")
	req.Header.Add("X-Signature", "X-Signature")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Accept"] = 'Accept'
request["User-Agent"] = 'User-Agent'
request["X-Region"] = 'X-Region'
request["X-Signature"] = 'X-Signature'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id")
  .header("Accept", "Accept")
  .header("User-Agent", "User-Agent")
  .header("X-Region", "X-Region")
  .header("X-Signature", "X-Signature")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id', [
  'body' => '{}',
  'headers' => [
    'Accept' => 'Accept',
    'Content-Type' => 'application/json',
    'User-Agent' => 'User-Agent',
    'X-Region' => 'X-Region',
    'X-Signature' => 'X-Signature',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Accept", "Accept");
request.AddHeader("User-Agent", "User-Agent");
request.AddHeader("X-Region", "X-Region");
request.AddHeader("X-Signature", "X-Signature");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "Accept",
  "User-Agent": "User-Agent",
  "X-Region": "X-Region",
  "X-Signature": "X-Signature",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```